classification
Title: Update What's new in 2.6
Type: Stage:
Components: Documentation Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: akuchling Nosy List: akuchling, benjamin.peterson, facundobatista, georg.brandl, gvanrossum
Priority: critical Keywords:

Created on 2008-03-16 21:06 by gvanrossum, last changed 2008-09-04 13:06 by facundobatista. This issue is now closed.

Messages (11)
msg63591 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-03-16 21:06
Somebody will have to write the "What's new in 2.6" document. I'm doing
3.0 but I'm not doing 2.6 as well.
msg63599 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-16 21:28
It looks like the author is Kuchling.
msg63661 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-03-17 16:06
I intend to finish writing the 2.6 document; PyCon has been taking up
all of my free time the past few weeks, but obviously that's over now.
msg70742 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-08-05 15:45
How's this coming along?
msg70753 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-08-05 16:32
It's in good shape.  There are a few items in my saved-email folder that
need to be added, and a few XXX markers here and there, but I've done
the large stuff, like writing a section on the multiprocessing module.
msg70761 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-08-05 19:39
Great!  The same cannot be said of the 3.0 version, which is on my plate.

I wonder if you have an opinion on what to do with features that were
initially targeted for 3.0 and then backported to 2.6.  Should these
appear in "what's new in 2.6", in "what's new in 3.0", or in both?  I'm
thinking that perhaps these should appear in both, for the benefit of
folks planning to jump straight into 3.0 from 2.5.  After all, 2.6 and
3.0 are coming out at the same time.  Or should be just add these to 2.6
and add a generic clause to the 3.0 document saying "also see the 2.6
document"?
msg70763 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-08-05 19:50
I agree; we don't want to require people to read the 2.6 document, and
then the 3.0 document to get a complete picture.  

Besides, the organization of the 2.x documents may not be suitable for
the 3.0 document.  The 2.x documents are organized by PEP, then a
section for miscellaneous language changes, then a section for library
changes.  For 3.0, you probably want to do all language changes in one
section, ignoring how they were broken up into PEPs, then a section on 
the library reorganization, and then maybe sections on using 2to3 
or porting C extensions.

It's certainly OK with me to copy text from the 2.6 document into the
3.0 one, if some of the text is useful.
msg70764 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-08-05 19:52
Oh, and it might be more realistic to keep the 3.0 document as a set of
notes, and aim to have a more finished document in 3.1.  ISTM it'll be
hard to finish writing it in time for a planned 3.0 release, even if you
spent your 20% work-time on the task.
msg70765 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-08-05 19:57
Thanks for the feedback, I'll do that.  I have 50% time instead of 20%,
though it doesn't feel that way lately. ;-)
msg72499 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-09-04 12:59
Closing this item; the 2.6 "What's New" is done, except for any small
fixes that get reported.
msg72500 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2008-09-04 13:06
The parse_qs() and parse_qsl() relocation from module cgi to urlparse
needs an entry in the "What's new..." (alerting you through here,
because I commited this last night).

See issue 600362 for further info, or ask me directly, :)
History
Date User Action Args
2008-09-04 13:06:11facundobatistasetnosy: + facundobatista
messages: + msg72500
2008-09-04 12:59:19akuchlingsetstatus: open -> closed
resolution: fixed
messages: + msg72499
2008-08-05 19:57:56gvanrossumsetmessages: + msg70765
2008-08-05 19:52:00akuchlingsetmessages: + msg70764
2008-08-05 19:50:25akuchlingsetmessages: + msg70763
2008-08-05 19:39:42gvanrossumsetmessages: + msg70761
2008-08-05 16:32:51akuchlingsetmessages: + msg70753
2008-08-05 15:45:20gvanrossumsetmessages: + msg70742
versions: + Python 2.6
2008-08-04 18:10:37akuchlingsetpriority: critical
2008-03-17 16:33:02gvanrossumsetassignee: georg.brandl -> akuchling
2008-03-17 16:06:40akuchlingsetmessages: + msg63661
2008-03-16 21:28:48benjamin.petersonsetnosy: + akuchling, benjamin.peterson
messages: + msg63599
2008-03-16 21:06:08gvanrossumcreate